aboutsummaryrefslogtreecommitdiffstats
path: root/devel
diff options
context:
space:
mode:
Diffstat (limited to 'devel')
-rw-r--r--devel/Makefile1
-rw-r--r--devel/ptlib/Makefile176
-rw-r--r--devel/ptlib/distinfo2
-rw-r--r--devel/ptlib/files/patch-Makefile.in35
-rw-r--r--devel/ptlib/files/patch-include_ptlib_object.h11
-rw-r--r--devel/ptlib/files/patch-plugins_configure.in10
-rw-r--r--devel/ptlib/files/patch-src_ptlib_unix_svcproc.cxx29
-rw-r--r--devel/ptlib/pkg-descr (renamed from devel/ptlib26/pkg-descr)0
-rw-r--r--devel/ptlib/pkg-plist (renamed from devel/ptlib26/pkg-plist)37
-rw-r--r--devel/ptlib26/Makefile148
-rw-r--r--devel/ptlib26/distinfo2
-rw-r--r--devel/ptlib26/files/patch-Makefile.in39
-rw-r--r--devel/ptlib26/files/patch-include_ptlib_array.h11
-rw-r--r--devel/ptlib26/files/patch-make__lib.mak17
-rw-r--r--devel/ptlib26/files/patch-plugins_configure404
-rw-r--r--devel/ptlib26/files/patch-plugins_sound_oss_sound_oss.cxx17
-rw-r--r--devel/ptlib26/files/patch-plugins_vidinput_v4l2_vidinput_v4l2.cxx122
-rw-r--r--devel/ptlib26/files/patch-plugins_vidinput_v4l_Makefile.in16
-rw-r--r--devel/ptlib26/files/patch-plugins_vidinput_v4l_vidinput_v4l.cxx494
19 files changed, 286 insertions, 1285 deletions
diff --git a/devel/Makefile b/devel/Makefile
index 4b8db80fdd5f..1fe13014bd14 100644
--- a/devel/Makefile
+++ b/devel/Makefile
@@ -3366,7 +3366,6 @@
SUBDIR += pth-hard
SUBDIR += pthsem
SUBDIR += ptlib
- SUBDIR += ptlib26
SUBDIR += ptmalloc
SUBDIR += ptmalloc2
SUBDIR += pty
diff --git a/devel/ptlib/Makefile b/devel/ptlib/Makefile
new file mode 100644
index 000000000000..e1701ed78912
--- /dev/null
+++ b/devel/ptlib/Makefile
@@ -0,0 +1,176 @@
+# Created by: Roger Hardiman <roger@freebsd.org>
+# $FreeBSD$
+
+PORTNAME= ptlib
+PORTVERSION= 2.10.10
+CATEGORIES= devel
+MASTER_SITES= GNOME
+
+MAINTAINER= gnome@FreeBSD.org
+COMMENT= Cross platform C++ library, used by OPAL
+
+LICENSE= MPL
+
+LIB_DEPENDS= libexpat.so:${PORTSDIR}/textproc/expat2
+
+CONFLICTS= pwlib-1.*
+
+USE_XZ= yes
+USES= bison gmake pkgconfig
+USE_AUTOTOOLS= autoconf:env automake:env
+GNU_CONFIGURE= yes
+USE_OPENSSL= yes
+USE_LDCONFIG= yes
+CPPFLAGS+= -I${LOCALBASE}/include
+LDFLAGS+= -L${LOCALBASE}/lib
+
+CONFIGURE_ARGS+=--enable-audio \
+ --enable-ipv6 \
+ --enable-exceptions \
+ --enable-oss \
+ --enable-plugins
+
+CONFIGURE_ARGS+=--disable-lua \
+ --disable-sasl
+
+# --with-expat-dir="${LOCALBASE}"
+CONFIGURE_ENV+= OPENSSL_CFLAGS="-I${OPENSSLINC}" \
+ OPENSSL_LIBS="-L${OPENSSLLIB} -lssl"
+
+OPTIONS_DEFINE= BSDVIDEO DEBUG ODBC ALSA JABBER V4L SDL LDAP PULSEAUDIO
+OPTIONS_DEFAULT=BSDVIDEO SDL V4L JABBER
+
+BSDVIDEO_DESC= BSD video support
+DEBUG_DESC= Install debug library
+
+NO_STAGE= yes
+.include <bsd.port.options.mk>
+
+PLIST_SUB+= PORTVERSION=${PORTVERSION} \
+ PVERSION_MAJOR=${PVERSION_MAJOR} \
+ PVERSION_MINOR=${PVERSION_MINOR}
+
+PVERSION_MAJOR= ${PORTVERSION:C/.[0-9]+.[0-9]+.//}
+PVERSION_MINOR= ${PORTVERSION:C/.[0-9]+$//g}
+
+.if ${PORT_OPTIONS:MDEBUG}
+ALL_TARGET= optshared debugshared
+PLIST_SUB+= DEBUG=""
+.else
+ALL_TARGET= optshared
+PLIST_SUB+= DEBUG="@comment "
+.endif
+
+.if ${PORT_OPTIONS:MPULSEAUDIO}
+LIB_DEPENDS+= libpulse.so:${PORTSDIR}/audio/pulseaudio
+CONFIGURE_ARGS+=--enable-pulse
+.else
+CONFIGURE_ARGS+=--disable-pulse
+.endif
+
+.if ${PORT_OPTIONS:MJABBER}
+CONFIGURE_ARGS+=--enable-jabber
+PLLIB_VIDEO=1
+.endif
+
+.if ${PORT_OPTIONS:MODBC}
+LIB_DEPENDS+= libodbc.so:${PORTSDIR}/databases/unixODBC
+CONFIGURE_ARGS+=--enable-odbc
+.else
+CONFIGURE_ARGS+=--disable-odbc
+.endif
+
+.if ${PORT_OPTIONS:MALSA}
+LIB_DEPENDS+= libasound.so:${PORTSDIR}/audio/alsa-lib
+CONFIGURE_ARGS+=--enable-alsa
+PLIST_SUB+= ALSA=""
+.else
+CONFIGURE_ARGS+=--disable-alsa
+PLIST_SUB+= ALSA="@comment "
+.endif
+
+.if ${PORT_OPTIONS:MBSDVIDEO}
+CONFIGURE_ARGS+=--enable-bsdvideo
+PLIST_SUB+= BSDVIDEO=""
+PTLIB_VIDEO=1
+.else
+CONFIGURE_ARGS+=--disable-bsdvideo
+PLIST_SUB+= BSDVIDEO="@comment "
+.endif
+
+.if ${PORT_OPTIONS:MV4L}
+BUILD_DEPENDS+= v4l_compat>=0:${PORTSDIR}/multimedia/v4l_compat
+LIB_DEPENDS+= libv4l2.so:${PORTSDIR}/multimedia/libv4l
+CONFIGURE_ARGS+=--enable-v4l --enable-v4l2
+PLIST_SUB+= V4L=""
+PTLIB_VIDEO=1
+.else
+CONFIGURE_ARGS+=--disable-v4l --disable-v4l2
+PLIST_SUB+= V4L="@comment "
+.endif
+
+.if defined(PTLIB_VIDEO)
+CONFIGURE_ARGS+=--enable-video --enable-vidfile
+PLIST_SUB+= VIDEODIR=""
+.else
+CONFIGURE_ARGS+=--disable-video --disable-vidfile
+PLIST_SUB+= VIDEODIR="@comment "
+.endif
+
+.if ${PORT_OPTIONS:MSDL}
+USE_SDL+= sdl
+CONFIGURE_ARGS+=--enable-sdl
+.else
+CONFIGURE_ARGS+=--disable-sdl
+.endif
+
+.if ${PORT_OPTIONS:MLDAP}
+USE_OPENLDAP= yes
+CONFIGURE_ARGS+=--enable-openldap
+.else
+CONFIGURE_ARGS+=--disable-openldap
+.endif
+
+# ONLY FOR THE BRAVE!
+# If someone owns a firewire(4) video device and wants to use it for
+# video-conferencing purposes, please download the files:
+# libraw1394.shar.gz, libavc1394.shar.gz and libdc1394.shar.gz from
+# ftp://ftp.frm2.tum.de/pub/jpulz/FreeBSD/ports/
+# Extract the files in ${PORTSDIR}/devel and uncomment the following lines.
+#
+##enable libavc1394
+#.if defined(WITH_AVC1394)
+#LIB_DEPENDS+= avc1394.2:${PORTSDIR}/devel/libavc1394 \
+# dv.4:${PORTSDIR}/multimedia/libdv
+#CONFIGURE_ARGS+= --enable-avc
+#PLIST_SUB+= AVC1394=""
+#.else
+CONFIGURE_ARGS+= --disable-avc
+PLIST_SUB+= AVC1394="@comment "
+#.endif
+#
+##enable libdc1394
+#.if defined(WITH_DC1394)
+#LIB_DEPENDS+= dc1394.2[0-9]:${PORTSDIR}/multimedia/libdc1394
+#CONFIGURE_ARGS+= --enable-dc
+#PLIST_SUB+= DC1394=""
+#.else
+CONFIGURE_ARGS+= --disable-dc
+#PLIST_SUB+= DC1394="@comment "
+#.endif
+
+post-patch:
+ @${REINPLACE_CMD} -e 's/RTF_WASCLONED/0x20000/' ${WRKSRC}/src/ptlib/unix/socket.cxx
+
+pre-configure:
+ cd ${WRKSRC}/plugins/ && autoreconf -fi
+
+post-install:
+ ${LN} -sf libpt.so.${PORTVERSION} ${PREFIX}/lib/libpt.so.${PVERSION_MAJOR}
+ ${LN} -sf libpt.so.${PORTVERSION} ${PREFIX}/lib/libpt.so.${PVERSION_MINOR}
+.if ${PORT_OPTIONS:MDEBUG}
+ ${LN} -sf libpt_d.so.${PORTVERSION} ${PREFIX}/lib/libpt_d.so.${PVERSION_MAJOR}
+ ${LN} -sf libpt_d.so.${PORTVERSION} ${PREFIX}/lib/libpt_d.so.${PVERSION_MINOR}
+.endif
+
+.include <bsd.port.mk>
diff --git a/devel/ptlib/distinfo b/devel/ptlib/distinfo
new file mode 100644
index 000000000000..1504b7395f06
--- /dev/null
+++ b/devel/ptlib/distinfo
@@ -0,0 +1,2 @@
+SHA256 (ptlib-2.10.10.tar.xz) = 7fcaabe194cbd3bc0b370b951dffd19cfe7ea0298bfff6aecee948e97f3207e4
+SIZE (ptlib-2.10.10.tar.xz) = 2520444
diff --git a/devel/ptlib/files/patch-Makefile.in b/devel/ptlib/files/patch-Makefile.in
new file mode 100644
index 000000000000..72d2e4b5e541
--- /dev/null
+++ b/devel/ptlib/files/patch-Makefile.in
@@ -0,0 +1,35 @@
+--- Makefile.in.orig 2013-02-20 03:12:27.000000000 +0100
++++ Makefile.in 2013-07-11 10:16:26.000000000 +0200
+@@ -111,9 +111,7 @@
+ do mkdir -p $$dir ; chmod 755 $$dir ; \
+ done )
+ ( for lib in $(PT_LIBDIR)/$(LIB_SONAME) \
+- $(PT_LIBDIR)/$(DEBUG_SONAME) \
+- $(PT_LIBDIR)/lib$(PTLIB_BASE)_s.a \
+- $(PT_LIBDIR)/lib$(PTLIB_BASE)_d_s.a ; \
++ $(PT_LIBDIR)/$(DEBUG_SONAME) ; \
+ do \
+ ( if test -e $$lib ; then \
+ $(INSTALL) -m 444 $$lib $(DESTDIR)$(LIBDIR); \
+@@ -160,9 +158,9 @@
+ $(INSTALL) -m 755 make/ptlib-config $(DESTDIR)$(PREFIX)/share/ptlib/make/
+ (cd $(DESTDIR)$(PREFIX)/bin; rm -f ptlib-config ; ln -snf ../share/ptlib/make/ptlib-config ptlib-config)
+
+- mkdir -p $(DESTDIR)$(LIBDIR)/pkgconfig
+- chmod 755 $(DESTDIR)$(LIBDIR)/pkgconfig
+- $(INSTALL) -m 644 ptlib.pc $(DESTDIR)$(LIBDIR)/pkgconfig/
++ mkdir -p $(DESTDIR)$(PREFIX)/libdata/pkgconfig
++ chmod 755 $(DESTDIR)$(PREFIX)/libdata/pkgconfig
++ $(INSTALL) -m 644 ptlib.pc $(DESTDIR)$(PREFIX)/libdata/pkgconfig/
+
+ uninstall:
+ rm -rf $(DESTDIR)$(PREFIX)/include/ptlib \
+@@ -171,7 +169,7 @@
+ $(DESTDIR)$(PREFIX)/include/ptbuildopts.h \
+ $(DESTDIR)$(PREFIX)/share/ptlib \
+ $(DESTDIR)$(LIBDIR)/$(DEV_PLUGIN_DIR) \
+- $(DESTDIR)$(LIBDIR)/pkgconfig/ptlib.pc
++ $(DESTDIR)$(PREFIX)/libdata/pkgconfig/ptlib.pc
+ rm -f $(DESTDIR)$(LIBDIR)/lib$(PTLIB_BASE)_s.a \
+ $(DESTDIR)$(LIBDIR)/$(PTLIB_FILE) \
+ $(DESTDIR)$(LIBDIR)/$(LIB_SONAME)
diff --git a/devel/ptlib/files/patch-include_ptlib_object.h b/devel/ptlib/files/patch-include_ptlib_object.h
new file mode 100644
index 000000000000..f2198cb5bf94
--- /dev/null
+++ b/devel/ptlib/files/patch-include_ptlib_object.h
@@ -0,0 +1,11 @@
+--- include/ptlib/object.h.orig 2013-09-16 12:18:01.000000000 +0200
++++ include/ptlib/object.h 2013-09-16 12:19:59.000000000 +0200
+@@ -1011,7 +1011,7 @@
+ + __GNUC_PATCHLEVEL__)
+
+ // Memory pooling allocators
+-#if defined(__GNUC__) && (GCC_VERSION > 40000) && !defined(P_MINGW) && !defined(P_MACOSX)
++#if defined(__GNUC__) && (GCC_VERSION > 40000) && !defined(P_MINGW) && !defined(P_MACOSX) && !defined(_LIBCPP_VERSION)
+ #include <ext/mt_allocator.h>
+ template <class Type> struct PFixedPoolAllocator : public PAllocatorTemplate<__gnu_cxx::__mt_alloc<Type>, Type> { };
+ template <class Type> struct PVariablePoolAllocator : public PAllocatorTemplate<__gnu_cxx::__mt_alloc<Type>, Type> { };
diff --git a/devel/ptlib/files/patch-plugins_configure.in b/devel/ptlib/files/patch-plugins_configure.in
new file mode 100644
index 000000000000..2a7f2fac0636
--- /dev/null
+++ b/devel/ptlib/files/patch-plugins_configure.in
@@ -0,0 +1,10 @@
+--- plugins/configure.in.orig 2013-07-08 22:41:36.000000000 +0200
++++ plugins/configure.in 2013-07-08 22:44:52.000000000 +0200
+@@ -250,6 +250,7 @@
+ AC_ARG_ENABLE(bsdvideo, [ --enable-bsdvideo enable BSD video support],,enable_bsdvideo=yes)
+
+ if test "${enable_bsdvideo}z" = "yesz" ; then
++ AC_CHECK_HEADER(dev/bktr/ioctl_meteor.h, BSDVIDEOHDR=1)
+ AC_CHECK_HEADER(machine/ioctl_meteor.h, BSDVIDEOHDR=1)
+ AC_CHECK_HEADER(i386/ioctl_meteor.h, BSDVIDEOHDR=1)
+ AC_CHECK_HEADER(dev/ic/bt8xx.h, BSDVIDEOHDR=1)
diff --git a/devel/ptlib/files/patch-src_ptlib_unix_svcproc.cxx b/devel/ptlib/files/patch-src_ptlib_unix_svcproc.cxx
new file mode 100644
index 000000000000..7bc74281fd79
--- /dev/null
+++ b/devel/ptlib/files/patch-src_ptlib_unix_svcproc.cxx
@@ -0,0 +1,29 @@
+--- src/ptlib/unix/svcproc.cxx.orig 2013-09-20 14:46:03.000000000 +0200
++++ src/ptlib/unix/svcproc.cxx 2013-09-20 14:46:46.000000000 +0200
+@@ -217,7 +217,7 @@
+ pid_t pid;
+
+ {
+- ifstream pidfile(pidfilename);
++ ifstream pidfile((const char*)pidfilename);
+ if (!pidfile.is_open()) {
+ cout << "Could not open pid file: \"" << pidfilename << "\""
+ " - " << strerror(errno) << endl;
+@@ -384,7 +384,7 @@
+ // Run as a daemon, ie fork
+
+ if (!pidfilename) {
+- ifstream pidfile(pidfilename);
++ ifstream pidfile((const char*)pidfilename);
+ if (pidfile.is_open()) {
+ pid_t pid;
+ pidfile >> pid;
+@@ -412,7 +412,7 @@
+ cout << "Daemon started with pid " << pid << endl;
+ if (!pidfilename) {
+ // Write out the child pid to magic file in /var/run (at least for linux)
+- ofstream pidfile(pidfilename);
++ ofstream pidfile((const char*)pidfilename);
+ if (pidfile.is_open())
+ pidfile << pid;
+ else
diff --git a/devel/ptlib26/pkg-descr b/devel/ptlib/pkg-descr
index ab38421b0f13..ab38421b0f13 100644
--- a/devel/ptlib26/pkg-descr
+++ b/devel/ptlib/pkg-descr
diff --git a/devel/ptlib26/pkg-plist b/devel/ptlib/pkg-plist
index 5725f26c9000..30824ab97664 100644
--- a/devel/ptlib26/pkg-plist
+++ b/devel/ptlib/pkg-plist
@@ -4,6 +4,7 @@ include/ptclib/asnber.h
include/ptclib/asner.h
include/ptclib/asnper.h
include/ptclib/asnxer.h
+include/ptclib/cli.h
include/ptclib/cypher.h
include/ptclib/delaychan.h
include/ptclib/dtmf.h
@@ -17,6 +18,7 @@ include/ptclib/httpsvc.h
include/ptclib/inetmail.h
include/ptclib/inetprot.h
include/ptclib/ipacl.h
+include/ptclib/lua.h
include/ptclib/memfile.h
include/ptclib/mime.h
include/ptclib/modem.h
@@ -51,6 +53,7 @@ include/ptclib/socks.h
include/ptclib/telnet.h
include/ptclib/threadpool.h
include/ptclib/url.h
+include/ptclib/vcard.h
include/ptclib/vsdl.h
include/ptclib/vxml.h
include/ptclib/xmpp.h
@@ -107,6 +110,7 @@ include/ptlib/sound.h
include/ptlib/svcproc.h
include/ptlib/syncpoint.h
include/ptlib/syncthrd.h
+include/ptlib/syslog.h
include/ptlib/tcpsock.h
include/ptlib/textfile.h
include/ptlib/thread.h
@@ -128,6 +132,7 @@ include/ptlib/unix/ptlib/icmpsock.h
include/ptlib/unix/ptlib/ipdsock.h
include/ptlib/unix/ptlib/ipsock.h
include/ptlib/unix/ptlib/maccoreaudio.h
+include/ptlib/unix/ptlib/mail.h
include/ptlib/unix/ptlib/mutex.h
include/ptlib/unix/ptlib/pdirect.h
include/ptlib/unix/ptlib/pipechan.h
@@ -156,26 +161,30 @@ include/ptlib/vconvert.h
include/ptlib/video.h
include/ptlib/videoio.h
include/ptlib/videoio1394dc.h
-lib/libpt-%%PVERSION_MAJOR%%.so
-lib/libpt-%%PVERSION_MAJOR%%.so.%%PVERSION_MINOR%%
+include/ptlib/wxstring.h
lib/libpt.so
-lib/libpt_s.a
-%%ALSA%%lib/ptlib-%%PORTVERSION%%/devices/sound/alsa_pwplugin.so
+lib/libpt.so.%%PVERSION_MINOR%%
+lib/libpt.so.%%PVERSION_MAJOR%%
+lib/libpt.so.%%PORTVERSION%%
+%%DEBUG%%lib/libpt_d.so
+%%DEBUG%%lib/libpt_d.so.%%PVERSION_MINOR%%
+%%DEBUG%%lib/libpt_d.so.%%PVERSION_MAJOR%%
+%%DEBUG%%lib/libpt_d.so.%%PORTVERSION%%
lib/ptlib-%%PORTVERSION%%/devices/sound/oss_pwplugin.so
%%BSDVIDEO%%lib/ptlib-%%PORTVERSION%%/devices/videoinput/bsdvideo_pwplugin.so
%%V4L%%lib/ptlib-%%PORTVERSION%%/devices/videoinput/v4l_pwplugin.so
%%V4L%%lib/ptlib-%%PORTVERSION%%/devices/videoinput/v4l2_pwplugin.so
libdata/pkgconfig/ptlib.pc
-%%DATADIR%%/make/common.mak
-%%DATADIR%%/make/lib.mak
-%%DATADIR%%/make/plugins.mak
-%%DATADIR%%/make/ptbuildopts.mak
-%%DATADIR%%/make/ptlib-config
-%%DATADIR%%/make/ptlib.mak
-%%DATADIR%%/make/unix.mak
-@dirrm %%DATADIR%%/make
-@dirrm %%DATADIR%%
-%%VIDEODIR%%@dirrm lib/ptlib-%%PORTVERSION%%/devices/videoinput
+share/ptlib/make/common.mak
+share/ptlib/make/lib.mak
+share/ptlib/make/plugins.mak
+share/ptlib/make/ptbuildopts.mak
+share/ptlib/make/ptlib-config
+share/ptlib/make/ptlib.mak
+share/ptlib/make/unix.mak
+@dirrm share/ptlib/make
+@dirrm share/ptlib
+%%V4L%%@dirrm lib/ptlib-%%PORTVERSION%%/devices/videoinput
@dirrm lib/ptlib-%%PORTVERSION%%/devices/sound
@dirrm lib/ptlib-%%PORTVERSION%%/devices
@dirrm lib/ptlib-%%PORTVERSION%%
diff --git a/devel/ptlib26/Makefile b/devel/ptlib26/Makefile
deleted file mode 100644
index 63da5394d6a3..000000000000
--- a/devel/ptlib26/Makefile
+++ /dev/null
@@ -1,148 +0,0 @@
-# Created by: Roger Hardiman <roger@FreeBSD.org>
-# $FreeBSD$
-
-PORTNAME= ptlib
-PORTVERSION= 2.6.7
-PORTREVISION= 2
-CATEGORIES= devel
-MASTER_SITES= SF/opalvoip/v3.6%20Lalande/Final/
-DISTNAME= ptlib-${PORTVERSION}
-
-MAINTAINER= gnome@FreeBSD.org
-COMMENT= A cross platform C++ library, used by OPAL
-
-LICENSE=MPL
-
-LIB_DEPENDS= expat:${PORTSDIR}/textproc/expat2
-
-CONFLICTS= pwlib-1.* ptlib-2.4.* ptlib-2.8.*
-
-USE_BZIP2= yes
-USES= bison gmake pkgconfig
-GNU_CONFIGURE= yes
-WANT_GNOME= yes
-USE_OPENSSL= yes
-USE_LDCONFIG= yes
-
-CFLAGS+= -I${LOCALBASE}/include
-CONFIGURE_ARGS+= --enable-oss --enable-plugins --with-expat-dir="${LOCALBASE}"
-CONFIGURE_ENV+= OPENSSL_CFLAGS="-I${OPENSSLINC}" OPENSSL_LIBS="-L${OPENSSLLIB} -lssl"
-
-OPTIONS_DEFINE= ODBC ALSA V4L BSDVIDEO SDL LDAP
-OPTIONS_DEFAULT=BSDVIDEO SDL
-BSDVIDEO_DESC= BSD video support
-
-NO_STAGE= yes
-.include <bsd.port.options.mk>
-
-PLIST_SUB+= PORTVERSION=${PORTVERSION} \
- PVERSION_MAJOR=${PORTVERSION:C/.[0-9]+$//g} \
- PVERSION_MINOR=${PORTVERSION:C/^[0-9]+.[0-9]+.//}
-
-.if ${PORT_OPTIONS:MDEBUG}
-ALL_TARGET= optshared debugshared
-BROKEN= debug libs install broken
-.else
-ALL_TARGET= optshared
-.endif
-
-.if ${PORT_OPTIONS:MODBC}
-CONFIGURE_ARGS+= --enable-odbc
-LIB_DEPENDS+= odbc:${PORTSDIR}/databases/unixODBC
-.else
-CONFIGURE_ARGS+= --disable-odbc
-.endif
-
-.if ${PORT_OPTIONS:MALSA}
-CONFIGURE_ARGS+= --enable-alsa
-PLIST_SUB+= ALSA=""
-LIB_DEPENDS+= asound:${PORTSDIR}/audio/alsa-lib
-.else
-CONFIGURE_ARGS+= --disable-alsa
-PLIST_SUB+= ALSA="@comment "
-.endif
-
-.if ${PORT_OPTIONS:MBSDVIDEO}
-CONFIGURE_ARGS+=--enable-bsdvideo
-PLIST_SUB+= BSDVIDEO=""
-WITH_VIDEO=1
-.else
-CONFIGURE_ARGS+=--disable-bsdvideo
-PLIST_SUB+= BSDVIDEO="@comment "
-.endif
-
-.if ${PORT_OPTIONS:MV4L}
-CONFIGURE_ARGS+=--enable-v4l --enable-v4l2
-CPPFLAGS+= -I${LOCALBASE}/include
-LDFLAGS+= -L${LOCALBASE}/lib
-PLIST_SUB+= V4L=""
-BUILD_DEPENDS+= ${LOCALBASE}/include/linux/videodev.h:${PORTSDIR}/multimedia/v4l_compat
-LIB_DEPENDS+= v4l1.0:${PORTSDIR}/multimedia/libv4l
-WITH_VIDEO=1
-.else
-CONFIGURE_ARGS+=--disable-v4l
-PLIST_SUB+= V4L="@comment "
-.endif
-
-.if defined(WITH_VIDEO)
-CONFIGURE_ARGS+= --enable-video
-PLIST_SUB+= VIDEODIR=""
-.else
-CONFIGURE_ARGS+= --disable-video
-PLIST_SUB+= VIDEODIR="@comment "
-.endif
-
-.if ${PORT_OPTIONS:MSDL}
-USE_SDL+= sdl
-.else
-CONFIGURE_ARGS+= --disable-sdl
-.endif
-
-.if ${PORT_OPTIONS:MLDAP}
-USE_OPENLDAP= yes
-CONFIGURE_ARGS+= --enable-openldap --with-ldap-dir="${LOCALBASE}"
-.else
-CONFIGURE_ARGS+= --disable-openldap
-.endif
-
-# ONLY FOR THE BRAVE!
-# If someone owns a firewire(4) video device and wants to use it for
-# video-conferencing purposes, please download the files:
-# libraw1394.shar.gz, libavc1394.shar.gz and libdc1394.shar.gz from
-# ftp://ftp.frm2.tum.de/pub/jpulz/FreeBSD/ports/
-# Extract the files in ${PORTSDIR}/devel and uncomment the following lines.
-#
-##enable libavc1394
-#.if defined(WITH_AVC1394)
-#LIB_DEPENDS+= avc1394.2:${PORTSDIR}/devel/libavc1394 \
-# dv.4:${PORTSDIR}/multimedia/libdv
-#CONFIGURE_ARGS+= --enable-avc
-#PLIST_SUB+= AVC1394=""
-#.else
-CONFIGURE_ARGS+= --disable-avc
-PLIST_SUB+= AVC1394="@comment "
-#.endif
-#
-##enable libdc1394
-#.if defined(WITH_DC1394)
-#LIB_DEPENDS+= dc1394.2[0-9]:${PORTSDIR}/multimedia/libdc1394
-#CONFIGURE_ARGS+= --enable-dc
-#PLIST_SUB+= DC1394=""
-#.else
-CONFIGURE_ARGS+= --disable-dc
-#PLIST_SUB+= DC1394="@comment "
-#.endif
-
-.include <bsd.port.pre.mk>
-
-post-patch:
- @${REINPLACE_CMD} -e 's|-lpt|-lpt-${PORTVERSION:C/.[0-9]+$//g}|' ${WRKSRC}/ptlib.pc.in
- @${REINPLACE_CMD} -e 's|-lasound|-lasound -L${LOCALBASE}/lib|' ${WRKSRC}/plugins/sound_alsa/Makefile
-.if ${ARCH} == sparc64 && ${OSVERSION} <= 700003
- @${REINPLACE_CMD} -e 's|P_PTHREADS_XPG6|0|' ${WRKSRC}/src/ptlib/unix/tlibthrd.cxx
-.endif
-.if ${OSVERSION} >= 800059
- @${REINPLACE_CMD} -e 's/RTF_WASCLONED/0x20000/' ${WRKSRC}/src/ptlib/unix/socket.cxx
-.endif
-
-.include <bsd.port.post.mk>
diff --git a/devel/ptlib26/distinfo b/devel/ptlib26/distinfo
deleted file mode 100644
index a00f9e376d93..000000000000
--- a/devel/ptlib26/distinfo
+++ /dev/null
@@ -1,2 +0,0 @@
-SHA256 (ptlib-2.6.7.tar.bz2) = 7dd28225fedd21154d34899b21ee4b6d27c88eb1a9f9931c8e6ced28e8f3b97f
-SIZE (ptlib-2.6.7.tar.bz2) = 3275152
diff --git a/devel/ptlib26/files/patch-Makefile.in b/devel/ptlib26/files/patch-Makefile.in
deleted file mode 100644
index d87720598716..000000000000
--- a/devel/ptlib26/files/patch-Makefile.in
+++ /dev/null
@@ -1,39 +0,0 @@
---- Makefile.in.orig 2009-10-03 19:15:36.000000000 +0400
-+++ Makefile.in 2009-10-03 21:23:44.000000000 +0400
-@@ -92,11 +92,12 @@
- $(DESTDIR)$(PREFIX)/share/ptlib/make ; \
- do mkdir -p $$dir ; chmod 755 $$dir ; \
- done )
-- $(INSTALL) -m 444 $(PT_LIBDIR)/$(LIB_SONAME) $(DESTDIR)$(LIBDIR)
-+ $(INSTALL) -m 444 $(PT_LIBDIR)/$(LIB_SONAME) $(DESTDIR)$(LIBDIR)/lib$(PTLIB_BASE)-@MAJOR_VERSION@.@MINOR_VERSION@$(OBJ_SUFFIX).so@BUILD_TYPE@@BUILD_NUMBER@
- $(INSTALL) -m 444 $(PT_LIBDIR)/lib$(PTLIB_BASE)_s.a $(DESTDIR)$(LIBDIR)
- (cd $(DESTDIR)$(LIBDIR) ; \
- rm -f $(PTLIB_FILE) ; \
-- ln -sf $(LIB_SONAME) $(PTLIB_FILE) \
-+ ln -sf lib$(PTLIB_BASE)-@MAJOR_VERSION@.@MINOR_VERSION@$(OBJ_SUFFIX).so@BUILD_TYPE@@BUILD_NUMBER@ $(PTLIB_FILE) ; \
-+ ln -sf lib$(PTLIB_BASE)-@MAJOR_VERSION@.@MINOR_VERSION@$(OBJ_SUFFIX).so@BUILD_TYPE@@BUILD_NUMBER@ lib$(PTLIB_BASE)-@MAJOR_VERSION@.@MINOR_VERSION@$(OBJ_SUFFIX).so \
- )
- ifeq (1, $(HAS_PLUGINS))
- if test -e $(PT_LIBDIR)/device/; then \
-@@ -127,9 +128,9 @@
- $(INSTALL) -m 755 make/ptlib-config $(DESTDIR)$(PREFIX)/share/ptlib/make/
- (cd $(DESTDIR)$(PREFIX)/bin; rm -f ptlib-config ; ln -snf ../share/ptlib/make/ptlib-config ptlib-config)
-
-- mkdir -p $(DESTDIR)$(LIBDIR)/pkgconfig
-- chmod 755 $(DESTDIR)$(LIBDIR)/pkgconfig
-- $(INSTALL) -m 644 ptlib.pc $(DESTDIR)$(LIBDIR)/pkgconfig/
-+ mkdir -p $(DESTDIR)$(PREFIX)/libdata/pkgconfig
-+ chmod 755 $(DESTDIR)$(PREFIX)/libdata/pkgconfig
-+ $(INSTALL) -m 644 ptlib.pc $(DESTDIR)$(PREFIX)/libdata/pkgconfig/
- uninstall:
- rm -rf $(DESTDIR)$(PREFIX)/include/ptlib \
- $(DESTDIR)$(PREFIX)/include/ptclib \
-@@ -137,7 +138,7 @@
- $(DESTDIR)$(PREFIX)/include/ptbuildopts.h \
- $(DESTDIR)$(PREFIX)/share/ptlib \
- $(DESTDIR)$(LIBDIR)/$(DEV_PLUGIN_DIR) \
-- $(DESTDIR)$(LIBDIR)/pkgconfig/ptlib.pc
-+ $(DESTDIR)$(PREFIX)/libdata/pkgconfig/ptlib.pc
- rm -f $(DESTDIR)$(LIBDIR)/lib$(PTLIB_BASE)_s.a \
- $(DESTDIR)$(LIBDIR)/$(PTLIB_FILE) \
- $(DESTDIR)$(LIBDIR)/$(LIB_SONAME)
diff --git a/devel/ptlib26/files/patch-include_ptlib_array.h b/devel/ptlib26/files/patch-include_ptlib_array.h
deleted file mode 100644
index 29d620a71360..000000000000
--- a/devel/ptlib26/files/patch-include_ptlib_array.h
+++ /dev/null
@@ -1,11 +0,0 @@
---- include/ptlib/array.h.orig 2012-09-03 22:42:13.000000000 +0200
-+++ include/ptlib/array.h 2012-09-03 22:42:49.000000000 +0200
-@@ -523,7 +523,7 @@
- T t;
- stream >> t;
- if (!stream.fail())
-- SetAt(index, t);
-+ this->SetAt(index, t);
- }
- };
-
diff --git a/devel/ptlib26/files/patch-make__lib.mak b/devel/ptlib26/files/patch-make__lib.mak
deleted file mode 100644
index d0fe1cdccd3f..000000000000
--- a/devel/ptlib26/files/patch-make__lib.mak
+++ /dev/null
@@ -1,17 +0,0 @@
---- make/lib.mak.orig 2009-11-13 21:10:07.000000000 +0800
-+++ make/lib.mak 2009-11-13 21:16:47.000000000 +0800
-@@ -97,8 +97,12 @@
- ifeq ($(OSTYPE),mingw)
- LDSOOPTS += -Wl,--kill-at
- else
-- ifneq ($(OSTYPE),Darwin)
-- LDSOOPTS += -Wl,-soname,$(LIB_SONAME)
-+ ifeq ($(OSTYPE),FreeBSD)
-+ LDSOOPTS += -Wl,-soname,$(subst .$(LIB_SUFFIX),,$(LIB_FILENAME))-$(MAJOR_VERSION).$(MINOR_VERSION).$(LIB_SUFFIX).$(BUILD_NUMBER)
-+ else
-+ ifneq ($(OSTYPE),Darwin)
-+ LDSOOPTS += -Wl,-soname,$(LIB_SONAME)
-+ endif
- endif
- endif
- endif
diff --git a/devel/ptlib26/files/patch-plugins_configure b/devel/ptlib26/files/patch-plugins_configure
deleted file mode 100644
index ad461d9cba53..000000000000
--- a/devel/ptlib26/files/patch-plugins_configure
+++ /dev/null
@@ -1,404 +0,0 @@
---- plugins/configure.orig 2009-09-20 20:25:31.000000000 -0400
-+++ plugins/configure 2010-01-27 16:45:51.000000000 -0500
-@@ -4994,6 +4994,268 @@
-
-
- if test "${enable_bsdvideo}z" = "yesz" ; then
-+ if test "${ac_cv_header_ioctl_meteor_h+set}" = set; then
-+ { echo "$as_me:$LINENO: checking for dev/bktr/ioctl_meteor.h" >&5
-+echo $ECHO_N "checking for dev/bktr/ioctl_meteor.h... $ECHO_C" >&6; }
-+if test "${ac_cv_header_ioctl_meteor_h+set}" = set; then
-+ echo $ECHO_N "(cached) $ECHO_C" >&6
-+fi
-+{ echo "$as_me:$LINENO: result: $ac_cv_header_ioctl_meteor_h" >&5
-+echo "${ECHO_T}$ac_cv_header_ioctl_meteor_h" >&6; }
-+else
-+ # Is the header compilable?
-+{ echo "$as_me:$LINENO: checking dev/bktr/ioctl_meteor.h usability" >&5
-+echo $ECHO_N "checking dev/bktr/ioctl_meteor.h usability... $ECHO_C" >&6; }
-+cat >conftest.$ac_ext <<_ACEOF
-+/* confdefs.h. */
-+_ACEOF
-+cat confdefs.h >>conftest.$ac_ext
-+cat >>conftest.$ac_ext <<_ACEOF
-+/* end confdefs.h. */
-+$ac_includes_default
-+#include <dev/bktr/ioctl_meteor.h>
-+_ACEOF
-+rm -f conftest.$ac_objext
-+if { (ac_try="$ac_compile"
-+case "(($ac_try" in
-+ *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
-+ *) ac_try_echo=$ac_try;;
-+esac
-+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
-+ (eval "$ac_compile") 2>conftest.er1
-+ ac_status=$?
-+ grep -v '^ *+' conftest.er1 >conftest.err
-+ rm -f conftest.er1
-+ cat conftest.err >&5
-+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
-+ (exit $ac_status); } && {
-+ test -z "$ac_c_werror_flag" ||
-+ test ! -s conftest.err
-+ } && test -s conftest.$ac_objext; then
-+ ac_header_compiler=yes
-+else
-+ echo "$as_me: failed program was:" >&5
-+sed 's/^/| /' conftest.$ac_ext >&5
-+
-+ ac_header_compiler=no
-+fi
-+
-+rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
-+{ echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
-+echo "${ECHO_T}$ac_header_compiler" >&6; }
-+
-+# Is the header present?
-+{ echo "$as_me:$LINENO: checking dev/bktr/ioctl_meteor.h presence" >&5
-+echo $ECHO_N "checking dev/bktr/ioctl_meteor.h presence... $ECHO_C" >&6; }
-+cat >conftest.$ac_ext <<_ACEOF
-+/* confdefs.h. */
-+_ACEOF
-+cat confdefs.h >>conftest.$ac_ext
-+cat >>conftest.$ac_ext <<_ACEOF
-+/* end confdefs.h. */
-+#include <dev/bktr/ioctl_meteor.h>
-+_ACEOF
-+if { (ac_try="$ac_cpp conftest.$ac_ext"
-+case "(($ac_try" in
-+ *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
-+ *) ac_try_echo=$ac_try;;
-+esac
-+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
-+ (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
-+ ac_status=$?
-+ grep -v '^ *+' conftest.er1 >conftest.err
-+ rm -f conftest.er1
-+ cat conftest.err >&5
-+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
-+ (exit $ac_status); } >/dev/null && {
-+ test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" ||
-+ test ! -s conftest.err
-+ }; then
-+ ac_header_preproc=yes
-+else
-+ echo "$as_me: failed program was:" >&5
-+sed 's/^/| /' conftest.$ac_ext >&5
-+
-+ ac_header_preproc=no
-+fi
-+
-+rm -f conftest.err conftest.$ac_ext
-+{ echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
-+echo "${ECHO_T}$ac_header_preproc" >&6; }
-+
-+# So? What about this header?
-+case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
-+ yes:no: )
-+ { echo "$as_me:$LINENO: WARNING: dev/bktr/ioctl_meteor.h: accepted by the compiler, rejected by the preprocessor!" >&5
-+echo "$as_me: WARNING: dev/bktr/ioctl_meteor.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
-+ { echo "$as_me:$LINENO: WARNING: dev/bktr/ioctl_meteor.h: proceeding with the compiler's result" >&5
-+echo "$as_me: WARNING: dev/bktr/ioctl_meteor.h: proceeding with the compiler's result" >&2;}
-+ ac_header_preproc=yes
-+ ;;
-+ no:yes:* )
-+ { echo "$as_me:$LINENO: WARNING: dev/bktr/ioctl_meteor.h: present but cannot be compiled" >&5
-+echo "$as_me: WARNING: dev/bktr/ioctl_meteor.h: present but cannot be compiled" >&2;}
-+ { echo "$as_me:$LINENO: WARNING: dev/bktr/ioctl_meteor.h: check for missing prerequisite headers?" >&5
-+echo "$as_me: WARNING: dev/bktr/ioctl_meteor.h: check for missing prerequisite headers?" >&2;}
-+ { echo "$as_me:$LINENO: WARNING: dev/bktr/ioctl_meteor.h: see the Autoconf documentation" >&5
-+echo "$as_me: WARNING: dev/bktr/ioctl_meteor.h: see the Autoconf documentation" >&2;}
-+ { echo "$as_me:$LINENO: WARNING: dev/bktr/ioctl_meteor.h: section \"Present But Cannot Be Compiled\"" >&5
-+echo "$as_me: WARNING: dev/bktr/ioctl_meteor.h: section \"Present But Cannot Be Compiled\"" >&2;}
-+ { echo "$as_me:$LINENO: WARNING: dev/bktr/ioctl_meteor.h: proceeding with the preprocessor's result" >&5
-+echo "$as_me: WARNING: dev/bktr/ioctl_meteor.h: proceeding with the preprocessor's result" >&2;}
-+ { echo "$as_me:$LINENO: WARNING: dev/bktr/ioctl_meteor.h: in the future, the compiler will take precedence" >&5
-+echo "$as_me: WARNING: dev/bktr/ioctl_meteor.h: in the future, the compiler will take precedence" >&2;}
-+
-+ ;;
-+esac
-+{ echo "$as_me:$LINENO: checking for dev/bktr/ioctl_meteor.h" >&5
-+echo $ECHO_N "checking for dev/bktr/ioctl_meteor.h... $ECHO_C" >&6; }
-+if test "${ac_cv_header_ioctl_meteor_h+set}" = set; then
-+ echo $ECHO_N "(cached) $ECHO_C" >&6
-+else
-+ ac_cv_header_ioctl_meteor_h=$ac_header_preproc
-+fi
-+{ echo "$as_me:$LINENO: result: $ac_cv_header_ioctl_meteor_h" >&5
-+echo "${ECHO_T}$ac_cv_header_ioctl_meteor_h" >&6; }
-+
-+fi
-+if test $ac_cv_header_ioctl_meteor_h = yes; then
-+ BSDVIDEOHDR=1
-+fi
-+
-+
-+ if test "${ac_cv_header_ioctl_bt848_h+set}" = set; then
-+ { echo "$as_me:$LINENO: checking for dev/bktr/ioctl_bt848.h" >&5
-+echo $ECHO_N "checking for dev/bktr/ioctl_bt848.h... $ECHO_C" >&6; }
-+if test "${ac_cv_header_ioctl_bt848_h+set}" = set; then
-+ echo $ECHO_N "(cached) $ECHO_C" >&6
-+fi
-+{ echo "$as_me:$LINENO: result: $ac_cv_header_ioctl_bt848_h" >&5
-+echo "${ECHO_T}$ac_cv_header_ioctl_bt848_h" >&6; }
-+else
-+ # Is the header compilable?
-+{ echo "$as_me:$LINENO: checking dev/bktr/ioctl_bt848.h usability" >&5
-+echo $ECHO_N "checking dev/bktr/ioctl_bt848.h usability... $ECHO_C" >&6; }
-+cat >conftest.$ac_ext <<_ACEOF
-+/* confdefs.h. */
-+_ACEOF
-+cat confdefs.h >>conftest.$ac_ext
-+cat >>conftest.$ac_ext <<_ACEOF
-+/* end confdefs.h. */
-+$ac_includes_default
-+#include <dev/bktr/ioctl_bt848.h>
-+_ACEOF
-+rm -f conftest.$ac_objext
-+if { (ac_try="$ac_compile"
-+case "(($ac_try" in
-+ *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
-+ *) ac_try_echo=$ac_try;;
-+esac
-+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
-+ (eval "$ac_compile") 2>conftest.er1
-+ ac_status=$?
-+ grep -v '^ *+' conftest.er1 >conftest.err
-+ rm -f conftest.er1
-+ cat conftest.err >&5
-+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
-+ (exit $ac_status); } && {
-+ test -z "$ac_c_werror_flag" ||
-+ test ! -s conftest.err
-+ } && test -s conftest.$ac_objext; then
-+ ac_header_compiler=yes
-+else
-+ echo "$as_me: failed program was:" >&5
-+sed 's/^/| /' conftest.$ac_ext >&5
-+
-+ ac_header_compiler=no
-+fi
-+
-+rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
-+{ echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
-+echo "${ECHO_T}$ac_header_compiler" >&6; }
-+
-+# Is the header present?
-+{ echo "$as_me:$LINENO: checking dev/bktr/ioctl_bt848.h presence" >&5
-+echo $ECHO_N "checking dev/bktr/ioctl_bt848.h presence... $ECHO_C" >&6; }
-+cat >conftest.$ac_ext <<_ACEOF
-+/* confdefs.h. */
-+_ACEOF
-+cat confdefs.h >>conftest.$ac_ext
-+cat >>conftest.$ac_ext <<_ACEOF
-+/* end confdefs.h. */
-+#include <dev/bktr/ioctl_bt848.h>
-+_ACEOF
-+if { (ac_try="$ac_cpp conftest.$ac_ext"
-+case "(($ac_try" in
-+ *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
-+ *) ac_try_echo=$ac_try;;
-+esac
-+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
-+ (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
-+ ac_status=$?
-+ grep -v '^ *+' conftest.er1 >conftest.err
-+ rm -f conftest.er1
-+ cat conftest.err >&5
-+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
-+ (exit $ac_status); } >/dev/null && {
-+ test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" ||
-+ test ! -s conftest.err
-+ }; then
-+ ac_header_preproc=yes
-+else
-+ echo "$as_me: failed program was:" >&5
-+sed 's/^/| /' conftest.$ac_ext >&5
-+
-+ ac_header_preproc=no
-+fi
-+
-+rm -f conftest.err conftest.$ac_ext
-+{ echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
-+echo "${ECHO_T}$ac_header_preproc" >&6; }
-+
-+# So? What about this header?
-+case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
-+ yes:no: )
-+ { echo "$as_me:$LINENO: WARNING: dev/bktr/ioctl_bt848.h: accepted by the compiler, rejected by the preprocessor!" >&5
-+echo "$as_me: WARNING: dev/bktr/ioctl_bt848.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
-+ { echo "$as_me:$LINENO: WARNING: dev/bktr/ioctl_bt848.h: proceeding with the compiler's result" >&5
-+echo "$as_me: WARNING: dev/bktr/ioctl_bt848.h: proceeding with the compiler's result" >&2;}
-+ ac_header_preproc=yes
-+ ;;
-+ no:yes:* )
-+ { echo "$as_me:$LINENO: WARNING: dev/bktr/ioctl_bt848.h: present but cannot be compiled" >&5
-+echo "$as_me: WARNING: dev/bktr/ioctl_bt848.h: present but cannot be compiled" >&2;}
-+ { echo "$as_me:$LINENO: WARNING: dev/bktr/ioctl_bt848.h: check for missing prerequisite headers?" >&5
-+echo "$as_me: WARNING: dev/bktr/ioctl_bt848.h: check for missing prerequisite headers?" >&2;}
-+ { echo "$as_me:$LINENO: WARNING: dev/bktr/ioctl_bt848.h: see the Autoconf documentation" >&5
-+echo "$as_me: WARNING: dev/bktr/ioctl_bt848.h: see the Autoconf documentation" >&2;}
-+ { echo "$as_me:$LINENO: WARNING: dev/bktr/ioctl_bt848.h: section \"Present But Cannot Be Compiled\"" >&5
-+echo "$as_me: WARNING: dev/bktr/ioctl_bt848.h: section \"Present But Cannot Be Compiled\"" >&2;}
-+ { echo "$as_me:$LINENO: WARNING: dev/bktr/ioctl_bt848.h: proceeding with the preprocessor's result" >&5
-+echo "$as_me: WARNING: dev/bktr/ioctl_bt848.h: proceeding with the preprocessor's result" >&2;}
-+ { echo "$as_me:$LINENO: WARNING: dev/bktr/ioctl_bt848.h: in the future, the compiler will take precedence" >&5
-+echo "$as_me: WARNING: dev/bktr/ioctl_bt848.h: in the future, the compiler will take precedence" >&2;}
-+
-+ ;;
-+esac
-+{ echo "$as_me:$LINENO: checking for dev/bktr/ioctl_bt848.h" >&5
-+echo $ECHO_N "checking for dev/bktr/ioctl_bt848.h... $ECHO_C" >&6; }
-+if test "${ac_cv_header_ioctl_bt848_h+set}" = set; then
-+ echo $ECHO_N "(cached) $ECHO_C" >&6
-+else
-+ ac_cv_header_ioctl_bt848_h=$ac_header_preproc
-+fi
-+{ echo "$as_me:$LINENO: result: $ac_cv_header_ioctl_bt848_h" >&5
-+echo "${ECHO_T}$ac_cv_header_ioctl_bt848_h" >&6; }
-+
-+fi
-+if test $ac_cv_header_ioctl_bt848_h = yes; then
-+ BSDVIDEOHDR=1
-+fi
-+
-+
-+# old path
-+if test "$ac_cv_header_ioctl_bt848_h" != yes -a "$ac_cv_header_ioctl_meteor_h" != yes; then
- if test "${ac_cv_header_machine_ioctl_meteor_h+set}" = set; then
- { echo "$as_me:$LINENO: checking for machine/ioctl_meteor.h" >&5
- echo $ECHO_N "checking for machine/ioctl_meteor.h... $ECHO_C" >&6; }
-@@ -5124,18 +5386,18 @@
- fi
-
-
-- if test "${ac_cv_header_i386_ioctl_meteor_h+set}" = set; then
-- { echo "$as_me:$LINENO: checking for i386/ioctl_meteor.h" >&5
--echo $ECHO_N "checking for i386/ioctl_meteor.h... $ECHO_C" >&6; }
--if test "${ac_cv_header_i386_ioctl_meteor_h+set}" = set; then
-+ if test "${ac_cv_header_machine_ioctl_bt848_h+set}" = set; then
-+ { echo "$as_me:$LINENO: checking for machine/ioctl_bt848.h" >&5
-+echo $ECHO_N "checking for machine/ioctl_bt848.h... $ECHO_C" >&6; }
-+if test "${ac_cv_header_machine_ioctl_bt848_h+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
- fi
--{ echo "$as_me:$LINENO: result: $ac_cv_header_i386_ioctl_meteor_h" >&5
--echo "${ECHO_T}$ac_cv_header_i386_ioctl_meteor_h" >&6; }
-+{ echo "$as_me:$LINENO: result: $ac_cv_header_machine_ioctl_bt848_h" >&5
-+echo "${ECHO_T}$ac_cv_header_machine_ioctl_bt848_h" >&6; }
- else
- # Is the header compilable?
--{ echo "$as_me:$LINENO: checking i386/ioctl_meteor.h usability" >&5
--echo $ECHO_N "checking i386/ioctl_meteor.h usability... $ECHO_C" >&6; }
-+{ echo "$as_me:$LINENO: checking machine/ioctl_bt848.h usability" >&5
-+echo $ECHO_N "checking machine/ioctl_bt848.h usability... $ECHO_C" >&6; }
- cat >conftest.$ac_ext <<_ACEOF
- /* confdefs.h. */
- _ACEOF
-@@ -5143,7 +5405,7 @@
- cat >>conftest.$ac_ext <<_ACEOF
- /* end confdefs.h. */
- $ac_includes_default
--#include <i386/ioctl_meteor.h>
-+#include <machine/ioctl_bt848.h>
- _ACEOF
- rm -f conftest.$ac_objext
- if { (ac_try="$ac_compile"
-@@ -5175,15 +5437,15 @@
- echo "${ECHO_T}$ac_header_compiler" >&6; }
-
- # Is the header present?
--{ echo "$as_me:$LINENO: checking i386/ioctl_meteor.h presence" >&5
--echo $ECHO_N "checking i386/ioctl_meteor.h presence... $ECHO_C" >&6; }
-+{ echo "$as_me:$LINENO: checking machine/ioctl_bt848.h presence" >&5
-+echo $ECHO_N "checking machine/ioctl_bt848.h presence... $ECHO_C" >&6; }
- cat >conftest.$ac_ext <<_ACEOF
- /* confdefs.h. */
- _ACEOF
- cat confdefs.h >>conftest.$ac_ext
- cat >>conftest.$ac_ext <<_ACEOF
- /* end confdefs.h. */
--#include <i386/ioctl_meteor.h>
-+#include <machine/ioctl_bt848.h>
- _ACEOF
- if { (ac_try="$ac_cpp conftest.$ac_ext"
- case "(($ac_try" in
-@@ -5216,43 +5478,44 @@
- # So? What about this header?
- case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
- yes:no: )
-- { echo "$as_me:$LINENO: WARNING: i386/ioctl_meteor.h: accepted by the compiler, rejected by the preprocessor!" >&5
--echo "$as_me: WARNING: i386/ioctl_meteor.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
-- { echo "$as_me:$LINENO: WARNING: i386/ioctl_meteor.h: proceeding with the compiler's result" >&5
--echo "$as_me: WARNING: i386/ioctl_meteor.h: proceeding with the compiler's result" >&2;}
-+ { echo "$as_me:$LINENO: WARNING: machine/ioctl_bt848.h: accepted by the compiler, rejected by the preprocessor!" >&5
-+echo "$as_me: WARNING: machine/ioctl_bt848.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
-+ { echo "$as_me:$LINENO: WARNING: machine/ioctl_bt848.h: proceeding with the compiler's result" >&5
-+echo "$as_me: WARNING: machine/ioctl_bt848.h: proceeding with the compiler's result" >&2;}
- ac_header_preproc=yes
- ;;
- no:yes:* )
-- { echo "$as_me:$LINENO: WARNING: i386/ioctl_meteor.h: present but cannot be compiled" >&5
--echo "$as_me: WARNING: i386/ioctl_meteor.h: present but cannot be compiled" >&2;}
-- { echo "$as_me:$LINENO: WARNING: i386/ioctl_meteor.h: check for missing prerequisite headers?" >&5
--echo "$as_me: WARNING: i386/ioctl_meteor.h: check for missing prerequisite headers?" >&2;}
-- { echo "$as_me:$LINENO: WARNING: i386/ioctl_meteor.h: see the Autoconf documentation" >&5
--echo "$as_me: WARNING: i386/ioctl_meteor.h: see the Autoconf documentation" >&2;}
-- { echo "$as_me:$LINENO: WARNING: i386/ioctl_meteor.h: section \"Present But Cannot Be Compiled\"" >&5
--echo "$as_me: WARNING: i386/ioctl_meteor.h: section \"Present But Cannot Be Compiled\"" >&2;}
-- { echo "$as_me:$LINENO: WARNING: i386/ioctl_meteor.h: proceeding with the preprocessor's result" >&5
--echo "$as_me: WARNING: i386/ioctl_meteor.h: proceeding with the preprocessor's result" >&2;}
-- { echo "$as_me:$LINENO: WARNING: i386/ioctl_meteor.h: in the future, the compiler will take precedence" >&5
--echo "$as_me: WARNING: i386/ioctl_meteor.h: in the future, the compiler will take precedence" >&2;}
-+ { echo "$as_me:$LINENO: WARNING: machine/ioctl_bt848.h: present but cannot be compiled" >&5
-+echo "$as_me: WARNING: machine/ioctl_bt848.h: present but cannot be compiled" >&2;}
-+ { echo "$as_me:$LINENO: WARNING: machine/ioctl_bt848.h: check for missing prerequisite headers?" >&5
-+echo "$as_me: WARNING: machine/ioctl_bt848.h: check for missing prerequisite headers?" >&2;}
-+ { echo "$as_me:$LINENO: WARNING: machine/ioctl_bt848.h: see the Autoconf documentation" >&5
-+echo "$as_me: WARNING: machine/ioctl_bt848.h: see the Autoconf documentation" >&2;}
-+ { echo "$as_me:$LINENO: WARNING: machine/ioctl_bt848.h: section \"Present But Cannot Be Compiled\"" >&5
-+echo "$as_me: WARNING: machine/ioctl_bt848.h: section \"Present But Cannot Be Compiled\"" >&2;}
-+ { echo "$as_me:$LINENO: WARNING: machine/ioctl_bt848.h: proceeding with the preprocessor's result" >&5
-+echo "$as_me: WARNING: machine/ioctl_bt848.h: proceeding with the preprocessor's result" >&2;}
-+ { echo "$as_me:$LINENO: WARNING: machine/ioctl_bt848.h: in the future, the compiler will take precedence" >&5
-+echo "$as_me: WARNING: machine/ioctl_bt848.h: in the future, the compiler will take precedence" >&2;}
-
- ;;
- esac
--{ echo "$as_me:$LINENO: checking for i386/ioctl_meteor.h" >&5
--echo $ECHO_N "checking for i386/ioctl_meteor.h... $ECHO_C" >&6; }
--if test "${ac_cv_header_i386_ioctl_meteor_h+set}" = set; then
-+{ echo "$as_me:$LINENO: checking for machine/ioctl_bt848.h" >&5
-+echo $ECHO_N "checking for machine/ioctl_bt848.h... $ECHO_C" >&6; }
-+if test "${ac_cv_header_machine_ioctl_bt848_h+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
- else
-- ac_cv_header_i386_ioctl_meteor_h=$ac_header_preproc
-+ ac_cv_header_machine_ioctl_bt848_h=$ac_header_preproc
- fi
--{ echo "$as_me:$LINENO: result: $ac_cv_header_i386_ioctl_meteor_h" >&5
--echo "${ECHO_T}$ac_cv_header_i386_ioctl_meteor_h" >&6; }
-+{ echo "$as_me:$LINENO: result: $ac_cv_header_machine_ioctl_bt848_h" >&5
-+echo "${ECHO_T}$ac_cv_header_machine_ioctl_bt848_h" >&6; }
-
- fi
--if test $ac_cv_header_i386_ioctl_meteor_h = yes; then
-+if test $ac_cv_header_machine_ioctl_bt848_h = yes; then
- BSDVIDEOHDR=1
- fi
--
-+fi
-+# old path - end
-
- if test "${ac_cv_header_dev_ic_bt8xx_h+set}" = set; then
- { echo "$as_me:$LINENO: checking for dev/ic/bt8xx.h" >&5
-@@ -6161,6 +6424,8 @@
-
- ac_config_files="$ac_config_files Makefile"
-
-+ac_config_files="$ac_config_files vidinput_v4l/Makefile"
-+
- ac_config_files="$ac_config_files vidinput_v4l2/Makefile"
-
- ac_config_files="$ac_config_files vidinput_dc/Makefile"
diff --git a/devel/ptlib26/files/patch-plugins_sound_oss_sound_oss.cxx b/devel/ptlib26/files/patch-plugins_sound_oss_sound_oss.cxx
deleted file mode 100644
index 0321a9dfe5c4..000000000000
--- a/devel/ptlib26/files/patch-plugins_sound_oss_sound_oss.cxx
+++ /dev/null
@@ -1,17 +0,0 @@
---- plugins/sound_oss/sound_oss.cxx.orig 2009-09-20 20:25:31.000000000 -0400
-+++ plugins/sound_oss/sound_oss.cxx 2010-01-27 16:15:09.000000000 -0500
-@@ -175,11 +175,11 @@
- if (dsp.GetAt(cardnum+1) == NULL) {
- #if defined (P_FREEBSD)
- // in FreeBSD the file name should be used via the devfs(5) and
-- // is just "/dev/dsp0" and devfs(5) takes care of virtual channels,
-- // like /dev/dsp0.0 /dev/dsp0.1 ...
-+ // is just "/dev/dspN" and devfs(5) takes care of virtual channels,
-+ // like /dev/dspN.0 /dev/dspN.1 ...
- // everything else would conflict with other KDE apps using the
- // audio
-- devname = devdir + "dsp0";
-+ devname = devdir + "dsp" + PString(cardnum);
- PTRACE(1, "OSS\tCollectSoundDevices FreeBSD devname set to devfs(5) name:" << devname );
- #endif /* defined (P_FREEBSD) */
- dsp.SetAt(cardnum+1, devname);
diff --git a/devel/ptlib26/files/patch-plugins_vidinput_v4l2_vidinput_v4l2.cxx b/devel/ptlib26/files/patch-plugins_vidinput_v4l2_vidinput_v4l2.cxx
deleted file mode 100644
index e74096fdb1ca..000000000000
--- a/devel/ptlib26/files/patch-plugins_vidinput_v4l2_vidinput_v4l2.cxx
+++ /dev/null
@@ -1,122 +0,0 @@
---- plugins/vidinput_v4l2/vidinput_v4l2.cxx.orig 2009-09-20 20:25:31.000000000 -0400
-+++ plugins/vidinput_v4l2/vidinput_v4l2.cxx 2010-01-27 14:28:45.000000000 -0500
-@@ -48,6 +48,7 @@
- #include <libv4l2.h>
- #else
- #define v4l2_fd_open(fd, flags) (fd)
-+#define v4l2_open open
- #define v4l2_close close
- #define v4l2_ioctl ioctl
- #define v4l2_read read
-@@ -161,7 +162,7 @@
- PString name = GetNames().GetDeviceName(devName);
- PTRACE(1,"PVidInDev\tOpen()\tdevName:" << name << " videoFd:" << videoFd);
-
-- videoFd = ::open((const char *)name, O_RDWR);
-+ videoFd = ::v4l2_open((const char *)name, O_RDWR);
- if (videoFd < 0) {
- PTRACE(1,"PVidInDev\topen failed : " << ::strerror(errno));
- return PFalse;
-@@ -977,6 +978,32 @@
- V4L2Names::Update()
- {
- PTRACE(1,"Detecting V4L2 devices");
-+ PWaitAndSignal m(mutex);
-+ inputDeviceNames.RemoveAll (); // flush the previous run
-+#if defined(P_FREEBSD)
-+ for (int i = 0; i < 10; i++) {
-+ PString thisDevice = PString("/dev/video") + PString(i);
-+ int videoFd=::v4l2_open((const char *)thisDevice, O_RDONLY | O_NONBLOCK);
-+ if ((videoFd > 0) || (errno == EBUSY)) {
-+ PBoolean valid = PFalse;
-+ struct v4l2_capability videoCaps;
-+ memset(&videoCaps,0,sizeof(videoCaps));
-+ if ((errno == EBUSY) ||
-+ (v4l2_ioctl(videoFd, VIDIOC_QUERYCAP, &videoCaps) >= 0 &&
-+ (videoCaps.capabilities & V4L2_CAP_VIDEO_CAPTURE))) {
-+ PTRACE(1,"PV4L2Plugin\tdetected capture device " << videoCaps.card);
-+ valid = PTrue;
-+ }
-+ else {
-+ PTRACE(1,"PV4L2Plugin\t" << thisDevice << "is not deemed valid");
-+ }
-+ if (videoFd>0)
-+ ::v4l2_close(videoFd);
-+ if(valid)
-+ inputDeviceNames += thisDevice;
-+ }
-+ }
-+#else
- PDirectory procvideo2_4("/proc/video/dev");
- PDirectory procvideo2_6("/sys/class/video4linux");
- PDirectory * procvideo;
-@@ -996,8 +1023,6 @@
- kernelVersion=KUNKNOWN;
- procvideo=0;
- }
-- PWaitAndSignal m(mutex);
-- inputDeviceNames.RemoveAll (); // flush the previous run
- if (procvideo) {
- PTRACE(2,"PV4L2Plugin\tdetected device metadata at "<<*procvideo);
- if (((kernelVersion==K2_6 && procvideo->Open(PFileInfo::SubDirectory)) ||
-@@ -1006,7 +1031,7 @@
- entry = procvideo->GetEntryName();
- if ((entry.Left(5) == "video")) {
- PString thisDevice = "/dev/" + entry;
-- int videoFd=::open((const char *)thisDevice, O_RDONLY | O_NONBLOCK);
-+ int videoFd=::v4l2_open((const char *)thisDevice, O_RDONLY | O_NONBLOCK);
- if ((videoFd > 0) || (errno == EBUSY)) {
- PBoolean valid = PFalse;
- struct v4l2_capability videoCaps;
-@@ -1021,7 +1046,7 @@
- PTRACE(1,"PV4L2Plugin\t" << thisDevice << "is not deemed valid");
- }
- if (videoFd>0)
-- ::close(videoFd);
-+ ::v4l2_close(videoFd);
- if(valid)
- inputDeviceNames += thisDevice;
- }
-@@ -1035,16 +1060,17 @@
- else {
- PTRACE(1,"Unable to detect v4l2 directory");
- }
-+#endif
- if (inputDeviceNames.GetSize() == 0) {
- POrdinalToString vid;
- ReadDeviceDirectory("/dev/", vid);
-
- for (PINDEX i = 0; i < vid.GetSize(); i++) {
- PINDEX cardnum = vid.GetKeyAt(i);
-- int fd = ::open(vid[cardnum], O_RDONLY | O_NONBLOCK);
-+ int fd = ::v4l2_open(vid[cardnum], O_RDONLY | O_NONBLOCK);
- if ((fd >= 0) || (errno == EBUSY)) {
- if (fd >= 0)
-- ::close(fd);
-+ ::v4l2_close(fd);
- inputDeviceNames += vid[cardnum];
- }
- }
-@@ -1056,7 +1082,7 @@
- {
- PString Result;
-
-- int fd = ::open((const char *)devname, O_RDONLY);
-+ int fd = ::v4l2_open((const char *)devname, O_RDONLY);
- if(fd < 0) {
- return devname;
- }
-@@ -1064,11 +1090,11 @@
- struct v4l2_capability videocap;
- memset(&videocap,0,sizeof(videocap));
- if (v4l2_ioctl(fd, VIDIOC_QUERYCAP, &videocap) < 0) {
-- ::close(fd);
-+ ::v4l2_close(fd);
- return devname;
- }
-
-- ::close(fd);
-+ ::v4l2_close(fd);
- PString ufname((const char*)videocap.card);
-
- return ufname;
diff --git a/devel/ptlib26/files/patch-plugins_vidinput_v4l_Makefile.in b/devel/ptlib26/files/patch-plugins_vidinput_v4l_Makefile.in
deleted file mode 100644
index 51e8a117f4ab..000000000000
--- a/devel/ptlib26/files/patch-plugins_vidinput_v4l_Makefile.in
+++ /dev/null
@@ -1,16 +0,0 @@
---- plugins/vidinput_v4l/Makefile.in.orig 2010-01-27 16:48:07.000000000 -0500
-+++ plugins/vidinput_v4l/Makefile.in 2010-01-27 17:00:56.000000000 -0500
-@@ -0,0 +1,13 @@
-+HAS_LIBV4L = @HAS_LIBV4L@
-+
-+PLUGIN_NAME = v4l
-+PLUGIN_FAMILY = device/videoinput
-+PLUGIN_LIBS =
-+PLUGIN_SOURCES = vidinput_v4l.cxx
-+
-+ifeq (1,$(HAS_LIBV4L))
-+PLUGIN_LIBS = $(LDFLAGS) -lv4l1
-+STDCCFLAGS += -DHAS_LIBV4L
-+endif
-+
-+include ../../make/plugins.mak
diff --git a/devel/ptlib26/files/patch-plugins_vidinput_v4l_vidinput_v4l.cxx b/devel/ptlib26/files/patch-plugins_vidinput_v4l_vidinput_v4l.cxx
deleted file mode 100644
index 6d37b797323b..000000000000
--- a/devel/ptlib26/files/patch-plugins_vidinput_v4l_vidinput_v4l.cxx
+++ /dev/null
@@ -1,494 +0,0 @@
---- plugins/vidinput_v4l/vidinput_v4l.cxx.orig 2009-09-20 20:25:31.000000000 -0400
-+++ plugins/vidinput_v4l/vidinput_v4l.cxx 2010-01-27 14:11:25.000000000 -0500
-@@ -38,6 +38,17 @@
-
- PCREATE_VIDINPUT_PLUGIN(V4L);
-
-+#ifdef HAS_LIBV4L
-+#include <libv4l1.h>
-+#else
-+#define v4l1_open open
-+#define v4l1_close close
-+#define v4l1_ioctl ioctl
-+#define v4l1_read read
-+#define v4l1_mmap mmap
-+#define v4l1_munmap munmap
-+#endif
-+
- ///////////////////////////////////////////////////////////////////////////////
- // Linux Video4Linux Driver Hints Tables.
- //
-@@ -261,27 +272,46 @@
- void
- V4LNames::Update()
- {
-- PDirectory procvideo("/proc/video/dev");
-- PString entry;
-- PStringList devlist;
-
- PWaitAndSignal m(mutex);
- inputDeviceNames.RemoveAll (); // flush the previous run
-+
-+#if defined(P_FREEBSD)
-+ for (int i = 0; i < 10; i++) {
-+ PString thisDevice = PString("/dev/video") + PString(i);
-+ int videoFd = ::v4l1_open((const char *)thisDevice, O_RDONLY | O_NONBLOCK);
-+
-+ if ((videoFd > 0) || (errno == EBUSY)){
-+ PBoolean valid = PFalse;
-+ struct video_capability videoCaps;
-+ if (v4l1_ioctl(videoFd, VIDIOCGCAP, &videoCaps) >= 0 && (videoCaps.type & VID_TYPE_CAPTURE) != 0)
-+ valid = PTrue;
-+ if (videoFd >= 0)
-+ v4l1_close(videoFd);
-+ if (valid)
-+ inputDeviceNames += thisDevice;
-+ }
-+ }
-+#else
-+ PDirectory procvideo("/proc/video/dev");
-+ PString entry;
-+ PStringList devlist;
-+
- if (procvideo.Exists()) {
- if (procvideo.Open(PFileInfo::RegularFile)) {
- do {
- entry = procvideo.GetEntryName();
- if ((entry.Left(5) == "video") || (entry.Left(7) == "capture")) {
- PString thisDevice = "/dev/video" + entry.Right(1);
-- int videoFd = ::open((const char *)thisDevice, O_RDONLY | O_NONBLOCK);
-+ int videoFd = ::v4l1_open((const char *)thisDevice, O_RDONLY | O_NONBLOCK);
-
- if ((videoFd > 0) || (errno == EBUSY)){
- PBoolean valid = PFalse;
- struct video_capability videoCaps;
-- if (ioctl(videoFd, VIDIOCGCAP, &videoCaps) >= 0 && (videoCaps.type & VID_TYPE_CAPTURE) != 0)
-+ if (v4l1_ioctl(videoFd, VIDIOCGCAP, &videoCaps) >= 0 && (videoCaps.type & VID_TYPE_CAPTURE) != 0)
- valid = PTrue;
- if (videoFd >= 0)
-- close(videoFd);
-+ v4l1_close(videoFd);
- if (valid)
- inputDeviceNames += thisDevice;
- }
-@@ -289,16 +319,17 @@
- } while (procvideo.Next());
- }
- }
-+#endif
- if (inputDeviceNames.GetSize() == 0) {
- POrdinalToString vid;
- ReadDeviceDirectory("/dev/", vid);
-
- for (PINDEX i = 0; i < vid.GetSize(); i++) {
- PINDEX cardnum = vid.GetKeyAt(i);
-- int fd = ::open(vid[cardnum], O_RDONLY | O_NONBLOCK);
-+ int fd = ::v4l1_open(vid[cardnum], O_RDONLY | O_NONBLOCK);
- if ((fd >= 0) || (errno == EBUSY)) {
- if (fd >= 0)
-- ::close(fd);
-+ ::v4l1_close(fd);
- inputDeviceNames += vid[cardnum];
- }
- }
-@@ -411,18 +442,18 @@
- {
- PString Result;
-
-- int fd = ::open((const char *)devname, O_RDONLY);
-+ int fd = ::v4l1_open((const char *)devname, O_RDONLY);
- if(fd < 0) {
- return devname;
- }
-
- struct video_capability videocap;
-- if (::ioctl(fd, VIDIOCGCAP, &videocap) < 0) {
-- ::close(fd);
-+ if (::v4l1_ioctl(fd, VIDIOCGCAP, &videocap) < 0) {
-+ ::v4l1_close(fd);
- return devname;
- }
-
-- ::close(fd);
-+ ::v4l1_close(fd);
- PString ufname(videocap.name);
-
- return ufname;
-@@ -515,7 +546,7 @@
- // check if it is a userfriendly name, and if so, get the real device name
-
- PString deviceName = GetNames().GetDeviceName(devName);
-- videoFd = ::open((const char *)deviceName, O_RDWR);
-+ videoFd = ::v4l1_open((const char *)deviceName, O_RDWR);
- if (videoFd < 0) {
- PTRACE(1,"PVideoInputDevice_V4L::Open failed : "<< ::strerror(errno));
- return PFalse;
-@@ -523,14 +554,14 @@
-
- // get the device capabilities
- if (!RefreshCapabilities()) {
-- ::close (videoFd);
-+ ::v4l1_close (videoFd);
- videoFd = -1;
- return PFalse;
- }
-
- if ((videoCapability.type & VID_TYPE_CAPTURE) == 0) {
- PTRACE(1,"PVideoInputDevice_V4L:: device capablilities reports cannot capture");
-- ::close (videoFd);
-+ ::v4l1_close (videoFd);
- videoFd = -1;
- return PFalse;
- }
-@@ -579,7 +610,7 @@
- if (hint_index >= PARRAYSIZE(driver_hints)-1) {
- struct video_channel channel;
- memset(&channel, 0, sizeof(struct video_channel));
-- if (::ioctl(videoFd, VIDIOCGCHAN, &channel) == 0) {
-+ if (::v4l1_ioctl(videoFd, VIDIOCGCHAN, &channel) == 0) {
- /* Only check if the called doesn't return an error */
- for (tbl = 0; tbl < PARRAYSIZE(bridges_with_640x480_fixed_width); tbl ++) {
- if (strcmp(bridges_with_640x480_fixed_width[tbl], channel.name) == 0) {
-@@ -609,7 +640,7 @@
- #define VIDIOCQCSCOMPATIBLE _IOWR('v',QC_IOCTLBASE+10,int) /* Set enable workaround for bugs, bitfield */
-
- int reg = 2; /* enable double buffering */
-- ::ioctl (videoFd, VIDIOCQCSCOMPATIBLE, &reg);
-+ ::v4l1_ioctl (videoFd, VIDIOCQCSCOMPATIBLE, &reg);
- }
-
-
-@@ -620,11 +651,11 @@
-
- // Init audio
- struct video_audio videoAudio;
-- if (::ioctl(videoFd, VIDIOCGAUDIO, &videoAudio) >= 0 &&
-+ if (::v4l1_ioctl(videoFd, VIDIOCGAUDIO, &videoAudio) >= 0 &&
- (videoAudio.flags & VIDEO_AUDIO_MUTABLE) != 0) {
- videoAudio.flags &= ~VIDEO_AUDIO_MUTE;
- videoAudio.mode = VIDEO_SOUND_MONO;
-- ::ioctl(videoFd, VIDIOCSAUDIO, &videoAudio);
-+ ::v4l1_ioctl(videoFd, VIDIOCSAUDIO, &videoAudio);
- }
-
- return PTrue;
-@@ -645,14 +676,14 @@
-
- // Mute audio
- struct video_audio videoAudio;
-- if (::ioctl(videoFd, VIDIOCGAUDIO, &videoAudio) >= 0 &&
-+ if (::v4l1_ioctl(videoFd, VIDIOCGAUDIO, &videoAudio) >= 0 &&
- (videoAudio.flags & VIDEO_AUDIO_MUTABLE) != 0) {
- videoAudio.flags |= VIDEO_AUDIO_MUTE;
-- ::ioctl(videoFd, VIDIOCSAUDIO, &videoAudio);
-+ ::v4l1_ioctl(videoFd, VIDIOCSAUDIO, &videoAudio);
- }
-
- ClearMapping();
-- ::close(videoFd);
-+ ::v4l1_close(videoFd);
-
- videoFd = -1;
- canMap = -1;
-@@ -703,7 +734,7 @@
-
- struct video_channel channel;
- channel.channel = channelNumber;
-- if (::ioctl(videoFd, VIDIOCGCHAN, &channel) < 0) {
-+ if (::v4l1_ioctl(videoFd, VIDIOCGCHAN, &channel) < 0) {
- PTRACE(1,"VideoInputDevice Get Channel info failed : "<< ::strerror(errno));
- return PFalse;
- }
-@@ -714,7 +745,7 @@
- channel.norm = fmt[newFormat];
-
- // set the information
-- if (::ioctl(videoFd, VIDIOCSCHAN, &channel) >= 0) {
-+ if (::v4l1_ioctl(videoFd, VIDIOCSCHAN, &channel) >= 0) {
- // format change might affect frame size limits; grab them again
- RefreshCapabilities();
- return PTrue;
-@@ -754,7 +785,7 @@
- // get channel information (to check if channel is valid)
- struct video_channel channel;
- channel.channel = channelNumber;
-- if (::ioctl(videoFd, VIDIOCGCHAN, &channel) < 0) {
-+ if (::v4l1_ioctl(videoFd, VIDIOCGCHAN, &channel) < 0) {
- PTRACE(1,"VideoInputDevice:: Get info on channel " << channelNumber << " failed : "<< ::strerror(errno));
- return PFalse;
- }
-@@ -763,7 +794,7 @@
- channel.channel = channelNumber;
-
- // set the information
-- if (::ioctl(videoFd, VIDIOCSCHAN, &channel) < 0) {
-+ if (::v4l1_ioctl(videoFd, VIDIOCSCHAN, &channel) < 0) {
- PTRACE(1,"VideoInputDevice:: Set info on channel " << channelNumber << " failed : "<< ::strerror(errno));
- return PFalse;
- }
-@@ -792,7 +823,7 @@
- // get channel information (to check if channel is valid)
- struct video_channel channel;
- channel.channel = channelNumber;
-- if (::ioctl(videoFd, VIDIOCGCHAN, &channel) < 0) {
-+ if (::v4l1_ioctl(videoFd, VIDIOCGCHAN, &channel) < 0) {
- PTRACE(1,"VideoInputDevice Get Channel info failed : "<< ::strerror(errno));
-
- return PFalse;
-@@ -803,7 +834,7 @@
- channel.channel = channelNumber;
-
- // set the information
-- if (::ioctl(videoFd, VIDIOCSCHAN, &channel) < 0) {
-+ if (::v4l1_ioctl(videoFd, VIDIOCSCHAN, &channel) < 0) {
- PTRACE(1,"VideoInputDevice SetChannel failed : "<< ::strerror(errno));
-
- return PFalse;
-@@ -830,7 +861,7 @@
-
- // get current picture information
- struct video_picture pictureInfo;
-- if (::ioctl(videoFd, VIDIOCGPICT, &pictureInfo) < 0) {
-+ if (::v4l1_ioctl(videoFd, VIDIOCGPICT, &pictureInfo) < 0) {
- PTRACE(1,"PVideoInputDevice_V4L::Get pict info failed : "<< ::strerror(errno));
- return PFalse;
- }
-@@ -842,7 +873,7 @@
- pictureInfo.depth = 16;
-
- // set the information
-- if (::ioctl(videoFd, VIDIOCSPICT, &pictureInfo) < 0) {
-+ if (::v4l1_ioctl(videoFd, VIDIOCSPICT, &pictureInfo) < 0) {
- PTRACE(1,"PVideoInputDevice_V4L::Set pict info failed : "<< ::strerror(errno));
- PTRACE(1,"PVideoInputDevice_V4L:: used code of "<<colourFormatCode);
- PTRACE(1,"PVideoInputDevice_V4L:: palette: "<<colourFormatTab[colourFormatIndex].colourFormat);
-@@ -871,7 +902,7 @@
-
- // Some V4L drivers can't use CGPICT to check for errors.
- if (!HINT(HINT_CGPICT_DOESNT_SET_PALETTE)) {
-- if (::ioctl(videoFd, VIDIOCGPICT, &pictureInfo) < 0) {
-+ if (::v4l1_ioctl(videoFd, VIDIOCGPICT, &pictureInfo) < 0) {
- PTRACE(1,"PVideoInputDevice_V4L::Get pict info failed : "<< ::strerror(errno));
- return PFalse;
- }
-@@ -959,12 +990,12 @@
- {
- if (canMap < 0) {
- //When canMap is < 0, it is the first use of GetFrameData. Check for memory mapping.
-- if (::ioctl(videoFd, VIDIOCGMBUF, &frame) < 0) {
-+ if (::v4l1_ioctl(videoFd, VIDIOCGMBUF, &frame) < 0) {
- canMap=0;
- PTRACE(3, "VideoGrabber " << deviceName << " cannot do memory mapping - GMBUF failed.");
- //This video device cannot do memory mapping.
- } else {
-- videoBuffer = (BYTE *)::mmap(0, frame.size, PROT_READ|PROT_WRITE, MAP_SHARED, videoFd, 0);
-+ videoBuffer = (BYTE *)::v4l1_mmap(0, frame.size, PROT_READ|PROT_WRITE, MAP_SHARED, videoFd, 0);
-
- if (videoBuffer < 0) {
- canMap = 0;
-@@ -985,7 +1016,7 @@
-
- currentFrame = 0;
- int ret;
-- ret = ::ioctl(videoFd, VIDIOCMCAPTURE, &frameBuffer[currentFrame]);
-+ ret = ::v4l1_ioctl(videoFd, VIDIOCMCAPTURE, &frameBuffer[currentFrame]);
- if (ret < 0) {
- PTRACE(1,"PVideoInputDevice_V4L::GetFrameData mcapture1 failed : " << ::strerror(errno));
- ClearMapping();
-@@ -1029,7 +1060,7 @@
- // fallback to read() on errors.
- int ret = -1;
-
-- ret = ::ioctl(videoFd, VIDIOCMCAPTURE, &frameBuffer[ 1 - currentFrame ]);
-+ ret = ::v4l1_ioctl(videoFd, VIDIOCMCAPTURE, &frameBuffer[ 1 - currentFrame ]);
- if ( ret < 0 ) {
- PTRACE(1,"PVideoInputDevice_V4L::GetFrameData mcapture2 failed : " << ::strerror(errno));
- ClearMapping();
-@@ -1042,7 +1073,7 @@
- // device does support memory mapping, get data
-
- // wait for the frame to load.
-- ret = ::ioctl(videoFd, VIDIOCSYNC, &currentFrame);
-+ ret = ::v4l1_ioctl(videoFd, VIDIOCSYNC, &currentFrame);
- pendingSync[currentFrame] = PFalse;
- if (ret < 0) {
- PTRACE(1,"PVideoInputDevice_V4L::GetFrameData csync failed : " << ::strerror(errno));
-@@ -1077,7 +1108,7 @@
- ret = -1;
- while (ret < 0) {
-
-- ret = ::read(videoFd, resultBuffer, frameBytes);
-+ ret = ::v4l1_read(videoFd, resultBuffer, frameBytes);
- if ((ret < 0) && (errno == EINTR))
- continue;
-
-@@ -1108,12 +1139,12 @@
- if ((canMap == 1) && (videoBuffer != NULL)) {
- for (int i=0; i<2; i++) {
- if (pendingSync[i]) {
-- int res = ::ioctl(videoFd, VIDIOCSYNC, &i);
-+ int res = ::v4l1_ioctl(videoFd, VIDIOCSYNC, &i);
- if (res < 0)
- PTRACE(1,"PVideoInputDevice_V4L::GetFrameData csync failed : " << ::strerror(errno));
- pendingSync[i] = PFalse;
- }
-- ::munmap(videoBuffer, frame.size);
-+ ::v4l1_munmap(videoBuffer, frame.size);
- }
- }
-
-@@ -1154,7 +1185,7 @@
- }
-
- // Request current hardware frame size
-- if (::ioctl(videoFd, VIDIOCGWIN, &vwin) < 0) {
-+ if (::v4l1_ioctl(videoFd, VIDIOCGWIN, &vwin) < 0) {
- PTRACE(3,"PVideoInputDevice_V4L\t VerifyHardwareFrameSize VIDIOCGWIN1 error::" << ::strerror(errno));
- return PFalse;
- }
-@@ -1172,10 +1203,10 @@
- vwin.flags = 0;
- }
-
-- ::ioctl(videoFd, VIDIOCSWIN, &vwin);
-+ ::v4l1_ioctl(videoFd, VIDIOCSWIN, &vwin);
-
- // Read back settings to be careful about existing (broken) V4L drivers
-- if (::ioctl(videoFd, VIDIOCGWIN, &vwin) < 0) {
-+ if (::v4l1_ioctl(videoFd, VIDIOCGWIN, &vwin) < 0) {
- PTRACE(3,"PVideoInputDevice_V4L\t VerifyHardwareFrameSize VIDIOCGWIN2 error::" << ::strerror(errno));
- return PFalse;
- }
-@@ -1195,7 +1226,7 @@
-
- struct video_picture vp;
-
-- if (::ioctl(videoFd, VIDIOCGPICT, &vp) < 0)
-+ if (::v4l1_ioctl(videoFd, VIDIOCGPICT, &vp) < 0)
- return -1;
- frameBrightness = vp.brightness;
-
-@@ -1210,7 +1241,7 @@
-
- struct video_picture vp;
-
-- if (::ioctl(videoFd, VIDIOCGPICT, &vp) < 0)
-+ if (::v4l1_ioctl(videoFd, VIDIOCGPICT, &vp) < 0)
- return -1;
- frameWhiteness = vp.whiteness;
-
-@@ -1224,7 +1255,7 @@
-
- struct video_picture vp;
-
-- if (::ioctl(videoFd, VIDIOCGPICT, &vp) < 0)
-+ if (::v4l1_ioctl(videoFd, VIDIOCGPICT, &vp) < 0)
- return -1;
- frameColour = vp.colour;
-
-@@ -1240,7 +1271,7 @@
-
- struct video_picture vp;
-
-- if (::ioctl(videoFd, VIDIOCGPICT, &vp) < 0)
-+ if (::v4l1_ioctl(videoFd, VIDIOCGPICT, &vp) < 0)
- return -1;
- frameContrast = vp.contrast;
-
-@@ -1254,7 +1285,7 @@
-
- struct video_picture vp;
-
-- if (::ioctl(videoFd, VIDIOCGPICT, &vp) < 0)
-+ if (::v4l1_ioctl(videoFd, VIDIOCGPICT, &vp) < 0)
- return -1;
- frameHue = vp.hue;
-
-@@ -1268,11 +1299,11 @@
-
- struct video_picture vp;
-
-- if (::ioctl(videoFd, VIDIOCGPICT, &vp) < 0)
-+ if (::v4l1_ioctl(videoFd, VIDIOCGPICT, &vp) < 0)
- return PFalse;
-
- vp.brightness = newBrightness;
-- if (::ioctl(videoFd, VIDIOCSPICT, &vp) < 0)
-+ if (::v4l1_ioctl(videoFd, VIDIOCSPICT, &vp) < 0)
- return PFalse;
-
- frameBrightness=newBrightness;
-@@ -1285,11 +1316,11 @@
-
- struct video_picture vp;
-
-- if (::ioctl(videoFd, VIDIOCGPICT, &vp) < 0)
-+ if (::v4l1_ioctl(videoFd, VIDIOCGPICT, &vp) < 0)
- return PFalse;
-
- vp.whiteness = newWhiteness;
-- if (::ioctl(videoFd, VIDIOCSPICT, &vp) < 0)
-+ if (::v4l1_ioctl(videoFd, VIDIOCSPICT, &vp) < 0)
- return PFalse;
-
- frameWhiteness = newWhiteness;
-@@ -1303,11 +1334,11 @@
-
- struct video_picture vp;
-
-- if (::ioctl(videoFd, VIDIOCGPICT, &vp) < 0)
-+ if (::v4l1_ioctl(videoFd, VIDIOCGPICT, &vp) < 0)
- return PFalse;
-
- vp.colour = newColour;
-- if (::ioctl(videoFd, VIDIOCSPICT, &vp) < 0)
-+ if (::v4l1_ioctl(videoFd, VIDIOCSPICT, &vp) < 0)
- return PFalse;
-
- frameColour = newColour;
-@@ -1320,11 +1351,11 @@
-
- struct video_picture vp;
-
-- if (::ioctl(videoFd, VIDIOCGPICT, &vp) < 0)
-+ if (::v4l1_ioctl(videoFd, VIDIOCGPICT, &vp) < 0)
- return PFalse;
-
- vp.contrast = newContrast;
-- if (::ioctl(videoFd, VIDIOCSPICT, &vp) < 0)
-+ if (::v4l1_ioctl(videoFd, VIDIOCSPICT, &vp) < 0)
- return PFalse;
-
- frameContrast = newContrast;
-@@ -1338,11 +1369,11 @@
-
- struct video_picture vp;
-
-- if (::ioctl(videoFd, VIDIOCGPICT, &vp) < 0)
-+ if (::v4l1_ioctl(videoFd, VIDIOCGPICT, &vp) < 0)
- return PFalse;
-
- vp.hue = newHue;
-- if (::ioctl(videoFd, VIDIOCSPICT, &vp) < 0)
-+ if (::v4l1_ioctl(videoFd, VIDIOCSPICT, &vp) < 0)
- return PFalse;
-
- frameHue=newHue;
-@@ -1357,7 +1388,7 @@
-
- struct video_picture vp;
-
-- if (::ioctl(videoFd, VIDIOCGPICT, &vp) < 0)
-+ if (::v4l1_ioctl(videoFd, VIDIOCGPICT, &vp) < 0)
- {
- PTRACE(3, "GetParams bombs out!");
- return PFalse;
-@@ -1385,7 +1416,7 @@
-
- PBoolean PVideoInputDevice_V4L::RefreshCapabilities()
- {
-- if (::ioctl(videoFd, VIDIOCGCAP, &videoCapability) < 0) {
-+ if (::v4l1_ioctl(videoFd, VIDIOCGCAP, &videoCapability) < 0) {
- PTRACE(1,"PVideoInputV4lDevice:: get device capablilities failed : "<< ::strerror(errno));
- return PFalse;
- }